Class | Tk::Iwidgets::Scrolledhtml
In: | tk/lib/tkextlib/iwidgets/scrolledhtml.rb
Parent: | Tk::Iwidgets::Scrolledtext

### Methods

import import_link pwd render title

### Constants

TkCommandNames | = | ['::iwidgets::scrolledhtml'.freeze].freeze
WidgetClassName | = | 'Scrolledhtml'.freeze

### Public Instance methods

import(href)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledhtml.rb, line 36
      def import(href)
        tk_call(@path, 'import', href)
        self
      end

import_link(href)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledhtml.rb, line 41
      def import_link(href)
        tk_call(@path, 'import', '-link', href)
        self
      end

pwd()

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledhtml.rb, line 46
      def pwd
        tk_call(@path, 'pwd')
      end

render(htmltext, workdir=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledhtml.rb, line 50
      def render(htmltext, workdir=None)
        tk_call(@path, 'render', htmltext, workdir)
        self
      end

title()

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledhtml.rb, line 55
      def title
        tk_call(@path, 'title')
      end

[Validate]